/*
 * pretty.h - Color print formatting
 *
 * Copyright (C) 2001  FreeDevelopers.net
 * 
 * Author : Gopal.V
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _PRETTY_H
#define _PRETTY_H
#include <stdio.h>
/*
 * Trying some fancy formatting 
 * to support this on various platforms
 * Should I give an #ifdef LINUX
 * or #ifdef GNU ?
 */
#define COLOR_RED "\033[31m"
#define COLOR_GREEN "\033[32m"
#define COLOR_BLUE "\033[34m"
#define COLOR_YELLOW "\033[33m"
#define COLOR_MAGENTA "\033[35m"
#define COLOR_CYAN "\033[36m"
#define COLOR_BOLD "\033[1m"
#define COLOR_CLEAR "\033[37m\033[22m"
//macros to use these 
#ifndef IF_PRETTY_PRINT
#define IF_PRETTY_PRINT(x) if(0)x;
//provide default macro which should be
//overriden 
#endif
#define ColorRed()	 		IF_PRETTY_PRINT(printf(COLOR_RED));
#define ColorGreen() 		IF_PRETTY_PRINT(printf(COLOR_GREEN));
#define ColorBlue() 		IF_PRETTY_PRINT(printf(COLOR_BLUE));
#define ColorMagenta()	 	IF_PRETTY_PRINT(printf(COLOR_MAGENTA));
#define ColorYellow() 		IF_PRETTY_PRINT(printf(COLOR_YELLOW));
#define ColorClear()		IF_PRETTY_PRINT(printf(COLOR_CLEAR));
#define ColorBold()			IF_PRETTY_PRINT(printf(COLOR_BOLD));

#endif/*_IL_PRETTY_H*/
//well ain't it pretty or what ?
